Description

We are running two redmine instances in one domain and hit a problem when logging in to both instances concurrently. Without

enabling autologin on login both instances interfere with each other while browsing through issues etc. Usually the other instance

logs out immediately.

I have set the configs as follows:

First instance:

autologin_cookie_name: "first_instance_autologin"

autologin_cookie_path: "first_instance"

autologin_cookie_secure:

Second instance:

autologin_cookie_name: "second_instance_autologin"

autologin_cookie_path: "second_instance"

autologin_cookie_secure:

When enabling autologin I can see that the autologin cookie is put into its subpath defined above correctly when browsing but the

"_redmine_session_" cookie is still in path "/".

My assumption is that this cookie also needs to be placed in a unique path. If this is the issue here I would kindly ask to add this

configuration option straight forward.

Thank you!

Related issues:

Related to Redmine - Patch #21169: Use config.relative_url_root as the defaul... Closed

History

#1 - 2013-06-07 13:50 - Toshi MARUYAMA

Copy config/additional_environment.rb.example to config/additional_environment.rb

and add following code.

config.session_store :cookie_store, {

      :key  => '_redmine_test_session',

      :path => '/test00',

}

#2 - 2015-11-08 14:51 - Daniel Ritz

See #21169

#3 - 2015-11-14 11:37 - Toshi MARUYAMA

- Status changed from New to Closed

I think this is superseded by #21169.

#4 - 2015-11-14 11:37 - Toshi MARUYAMA

- Related to Patch #21169: Use config.relative_url_root as the default path for session and autologin cookies added
